/* css/style.css */
:root {
  --font-family: "Fira Sans", sans-serif;
  --font-family-alternative: "Source Serif Pro", sans-serif;
  --font-family-monospaced: "Fira Mono", monospace;
  --font-family-editor: "Source Code Pro", monospace;
  --z-index-aside: 1;
  --z-index-header: 2;
  --z-index-floating-ui: 3;
  --z-index-keyboard-overlays: 10;
  --z-index-autocomplete: 8;
  --z-index-overlay: 4;
  --error: hsl(0deg 100% 30%);
  --warning: hsl(52deg 84% 56%);
  --red: var(--error);
  --yellow: var(--warning);
  --green: hsl(151deg 100% 25%);
  --gray: #aaa;
  --transparent-black: hsl(0deg 0% 0% / 50%);
  --transparent-white: hsl(0deg 0% 100% / 50%);
  --background: #fff;
  --background-darker: hsl(0deg 0% 85%);
  --text-color: hsl(0deg 0% 27%);
  --text-color-lighter: hsl(0deg 0% 33%);
  --text-color-lightest: hsl(0deg 0% 47%);
  --link-color: hsl(203deg 100% 32%);
  --link-hover-color: hsl(0deg 0% 33%);
  --heading-color: #333;
  --code-background: hsl(0deg 0% 97%);
  --border: hsl(0deg 0% 85%);
  --border-darker: hsl(0deg 0% 80%);
  --button-color: #fff;
  --button-background: hsl(203deg 100% 32%);
  --button-muted-color: var(--text-color);
  --button-muted-background: var(--background-darker);
  --sidebar-color: #444;
  --sidebar-hover-color: var(--link-color);
  --sidebar-background: hsl(0deg 0% 96%);
  --sidebar-border: hsl(0deg 0% 87%);
  --summary-background: hsl(0deg 0% 95%);
  --summary-background-darker: hsl(0deg 0% 90%);
  --header-color: #fff;
  --header-background: hsl(203deg 100% 32%);
  --header-placeholder-color: hsl(203deg 47% 66%);
  --header-placeholder-background: hsl(203deg 56% 45%);
  --table-header-text: hsl(0deg 0% 40%);
  --table-header-background: hsl(0deg 0% 90%);
  --table-border: hsl(0deg 0% 90%);
  --table-background-even: hsl(0deg 0% 95%);
  --treetable-expander: #afc1d3;
  --budget-negative: #af3d3d;
  --budget-positive: #3daf46;
  --budget-zero: #ffb900;
  --editor-comment: #998;
  --editor-trailing-whitespace: rgb(255 199 199 / 50%);
  --editor-directive: #333;
  --editor-class: #b84;
  --editor-date: #099;
  --editor-constant: #008080;
  --editor-account: var(--link-color);
  --editor-invalid: #333;
  --editor-activeline: #ffc;
  --notification-color: #fff;
  --chart-axis: #999;
  --autocomplete-match: #ffd27c;
  --mobile-button-text: #000;
  --placeholder-color: var(--text-color-lightest);
  --placeholder-background: var(--background);
  --dragover-background: hsl(203deg 100% 32% / 50%);
  --overlay-wrapper-background: rgb(0 0 0 / 50%);
  --help-sidebar-background: #f8f8f8;
  --help-sidebar-border: #eaeaea;
}
.journal .balance {
  --entry-background: #cfc;
}
.journal .close {
  --entry-background: hsl(0deg 0% 70%);
}
.journal .custom {
  --entry-background: #fff3ab;
}
.journal .document {
  --entry-background: #ffc8ff;
}
.journal .note {
  --entry-background: #aad0ff;
}
.journal .open {
  --entry-background: hsl(0deg 0% 92%);
}
.journal .other {
  --entry-background: #cff;
}
.journal .pad {
  --entry-background: #8ff;
}
.journal .pending {
  --entry-background: #f8a;
}
.journal .query {
  --entry-background: #aad0ff;
}
.journal .budget {
  --entry-background: #ffddae;
}
.journal {
  --journal-postings: hsl(0deg 0% 92%);
  --journal-metadata: hsl(210deg 44% 67%);
  --journal-tag: hsl(210deg 61% 64%);
  --journal-link: hsl(203deg 39% 85%);
  --journal-posting-indicator: hsl(203deg 24% 80%);
  --journal-metadata-indicator: hsl(203deg 24% 40%);
  --journal-hover-highlight: #f5f5f59c;
}

/* css/base.css */
* {
  box-sizing: border-box;
}
html,
body {
  margin: 0;
  font-family: var(--font-family);
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  color: var(--text-color);
  background-color: var(--background);
}
p,
ol,
ul,
dl,
table,
pre,
hr {
  padding: 0;
  margin: 0 0 1rem;
  list-style-type: none;
}
dl {
  margin: 0;
}
code,
pre {
  font-family: var(--font-family-monospaced);
  white-space: pre;
  background-color: var(--code-background);
  border: 1px solid var(--border);
  border-radius: 3px;
}
code {
  padding: 0 4px;
  line-height: 1;
}
pre {
  padding: 6px 10px;
  overflow: auto;
}
pre code {
  padding: 0;
  margin: 0;
  line-height: inherit;
  border: 0;
}
.pre {
  white-space: pre-wrap;
}
table {
  border-spacing: 0;
  border-collapse: collapse;
}
td,
th {
  padding: 2px 5px;
  white-space: nowrap;
}
td.num,
th.num {
  width: 7em;
  font-family: var(--font-family-monospaced);
  color: var(--text-color);
  text-align: right;
}
thead th,
tfoot td {
  font-weight: 400;
  color: var(--table-header-text);
  background-color: var(--table-header-background);
  border: 1px solid var(--table-border);
}
tbody tr:nth-child(2n) {
  background-color: var(--table-background-even);
}
tbody td {
  border: 1px solid var(--table-border);
}
table pre {
  padding: 0;
  margin: 0;
  overflow: inherit;
  background-color: inherit;
  border: 0;
}
h2,
h3 {
  padding: 0;
  margin: 0 0.5rem 1rem 0;
  font-weight: 500;
  color: var(--heading-color);
}
h2 {
  font-size: 1.2857em;
}
h3 {
  font-size: 1.1429em;
}
h4,
h5 {
  font-size: 1em;
}
hr {
  border: 1px solid var(--border);
}
b,
strong {
  font-weight: 500;
}
a {
  text-decoration: none;
}
a:link,
a:visited {
  color: var(--link-color);
}
a:hover,
a:focus-visible {
  color: var(--link-hover-color);
}
a:active,
a:focus,
a img {
  border: 0;
  outline: none;
}
a:focus-visible {
  outline: var(--link-color) dotted 2px;
}
.fieldset {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
button,
input,
textarea {
  font: inherit;
  color: var(--text-color);
}
input,
textarea {
  padding: 6px 10px;
  border: 1px solid var(--border-darker);
}
label {
  cursor: pointer;
}
select {
  font-size: inherit;
}
input:invalid {
  border: 1px solid var(--error);
  outline: none;
  box-shadow: none;
}
input[type=text]::-webkit-calendar-picker-indicator {
  display: none;
}
input[type=date]::-webkit-inner-spin-button,
input[type=date]::-webkit-clear-button {
  appearance: none;
  display: none;
}
input[type=text]::placeholder {
  color: var(--placeholder-color);
  opacity: 100%;
}
input[type=text]::placeholder:focus {
  color: var(--placeholder-color);
}
input[type=text]:placeholder-shown {
  background-color: var(--placeholder-background);
}
button,
.button {
  padding: 6px 10px;
  color: var(--button-color);
  cursor: pointer;
  background-color: var(--button-background);
  border: 0;
  border-radius: 0;
  outline: 0;
}
h3 .button,
h3 button {
  padding: 4px 8px;
  font-size: 1rem;
  font-weight: normal;
}
a.button {
  display: inline-block;
  padding: 2px 6px;
}
button:focus,
button:active,
button:hover,
.button:focus,
.button:active,
.button:hover {
  filter: brightness(90%);
  box-shadow: 0 0 5px var(--border);
}
button:disabled,
button.inactive,
button.muted,
.button:disabled,
.button.inactive,
.button.muted {
  color: var(--button-muted-color);
  background-color: var(--button-muted-background);
}
button.link,
.button.link {
  padding: 0;
  color: var(--link-color);
  background: none;
}
button.link:focus,
button.link:active,
button.link:hover,
.button.link:focus,
.button.link:active,
.button.link:hover {
  filter: brightness(90%);
  box-shadow: none;
}
button.round,
.button.round {
  height: 1.5em;
  padding: 0 0.5em;
  border-radius: 15px;
}
.button:link,
.button:visited {
  height: 100%;
  color: var(--background);
}
.hidden.hidden {
  display: none;
}
:root {
  --transitions: all 0.2s ease-out;
}
.dragover {
  background-color: var(--dragover-background);
}
.headerline {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0 0 1em;
}
.headerline h3 {
  display: inline-block;
  margin: 0 1.5em 0 0;
}
kbd {
  display: inline-block;
  padding: 3px 6px;
  margin: 0 1px;
  font: 0.8em var(--font-family-monospaced);
  color: var(--text-color-lighter);
  background-color: var(--background);
  border: solid 1px var(--border);
  border-bottom-color: var(--border-darker);
  border-radius: 3px;
  box-shadow: inset 0 -1px 0 var(--border-darker);
}
.keyboard-tooltip {
  position: absolute;
  z-index: var(--z-index-keyboard-overlays);
  display: inline-block;
  padding: 0.3em 0.5em;
  font-size: 0.9em;
  color: var(--background);
  text-align: center;
  background-color: var(--text-color);
  opacity: 90%;
}
.spacer {
  flex-grow: 1;
}
.row {
  display: flex;
  flex-wrap: wrap;
  padding: 5px;
  margin: -10px -20px;
}
.column {
  flex: 1;
  margin: 5px;
}
.column h3 {
  text-align: center;
}
.left {
  float: left;
  margin-right: 20px;
}
.right {
  float: right;
}
.status-indicator {
  display: inline-block;
  width: 6px;
  height: 6px;
  margin: 5px;
  border-radius: 6px;
}
td .status-indicator {
  float: right;
  margin-top: 3px;
  margin-left: 3px;
}
.status-indicator:hover {
  cursor: pointer;
}
.status-indicator.status-red {
  background-color: var(--red);
}
.status-indicator.status-yellow {
  background-color: var(--yellow);
}
.status-indicator.status-green {
  background-color: var(--green);
}
.status-indicator.status-gray {
  background-color: var(--gray);
}
.statistics-update-activity .indicator-header {
  padding-left: 0;
}
.statistics-update-activity .uptodate-indicator {
  text-align: center;
}
.statistics-update-activity .status-indicator {
  margin: 0 auto;
}
[data-sort] {
  position: relative;
  padding-right: 18px;
  cursor: pointer;
}
[data-order=desc]::after {
  position: absolute;
  top: 12px;
  right: 4px;
  display: block;
  content: "";
  border-top: 5px solid var(--text-color-lightest);
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
}
[data-order=asc]::after {
  position: absolute;
  top: 10px;
  right: 4px;
  display: block;
  content: "";
  border-right: 5px solid transparent;
  border-bottom: 5px solid var(--text-color-lightest);
  border-left: 5px solid transparent;
}
.options td {
  text-align: left;
}
.options td:nth-child(1) {
  font-weight: 500;
}
.options td:nth-child(2) {
  white-space: normal;
}

/* css/layout.css */
:root {
  --header-height: 50px;
  --aside-width: 160px;
}
body {
  padding: var(--header-height) 0 0 var(--aside-width);
}
header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-header);
  display: flex;
  align-items: center;
  width: 100%;
  height: var(--header-height);
  padding: 0 7px 0 10px;
  color: var(--header-color);
  background-color: var(--header-background);
}
article {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 1.5em;
}
.fixed-fullsize-container {
  position: fixed;
  top: var(--header-height);
  right: 0;
  bottom: 0;
  left: var(--aside-width);
}
@media (max-width: 767px) {
  .fixed-fullsize-container {
    left: 0;
  }
}

/* css/aside.css */
.aside-button {
  z-index: var(--z-index-floating-ui);
  display: none;
  background-color: var(--sidebar-background);
}
.aside-button:hover {
  background-color: var(--sidebar-background);
}
aside {
  position: fixed;
  top: var(--header-height);
  bottom: 0;
  left: 0;
  z-index: var(--z-index-aside);
  width: var(--aside-width);
  padding-top: 0.5rem;
  margin: 0;
  overflow-y: auto;
  color: var(--sidebar-color);
  background-color: var(--sidebar-background);
  border-right: 1px solid var(--sidebar-border);
}
aside .navigation {
  padding-bottom: 0.5rem;
  margin-bottom: 0.5rem;
  border-bottom: 1px solid var(--sidebar-border);
}
aside .navigation:last-child {
  margin-bottom: 0;
  border: none;
}
aside .navigation a {
  display: block;
  padding: 0.25em 0.5em 0.25em 1em;
  color: inherit;
}
aside .navigation a.selected,
aside .navigation a:hover {
  color: var(--sidebar-hover-color);
  background-color: var(--sidebar-border);
}
aside .navigation .secondary {
  padding: 4px 9px 2px;
  line-height: 23px;
  color: inherit;
  background-color: var(--sidebar-background);
}
aside .navigation .add-transaction-button {
  font-size: 23px;
}
aside .navigation li {
  position: relative;
  display: flex;
  flex-wrap: wrap;
}
aside .navigation li a:first-child {
  flex: 1;
}
aside .navigation .error {
  background-color: var(--error);
}
aside .navigation li.error a {
  color: var(--sidebar-background);
}
aside .navigation .submenu li a {
  padding-left: 35px;
}
aside .navigation .submenu {
  width: 100%;
  margin: 0 0 0.25em 0;
}
aside .navigation .submenu li {
  font-size: 0.95em;
  line-height: 0.95em;
}
aside .navigation .submenu a.selected,
aside .navigation .submenu a:hover {
  filter: brightness(85%);
}
aside .navigation .error a.selected,
aside .navigation .error a:hover {
  background-color: var(--error);
  filter: brightness(80%);
}
aside .navigation .bubble {
  float: right;
  padding: 0 8px;
  font-size: 0.9em;
  color: var(--sidebar-color);
  background-color: var(--sidebar-border);
  border-radius: 12px;
}
aside .navigation .error .bubble {
  background-color: var(--transparent-white);
}

/* css/charts.css */
svg text {
  font-family: var(--font-family);
  fill: var(--text-color-lightest);
}
.tooltip {
  position: absolute;
  z-index: var(--z-index-floating-ui);
  min-width: 5em;
  padding: 0.5em;
  font-family: var(--font-family-monospaced);
  text-align: center;
  pointer-events: none;
  background: var(--background);
  border: 1px solid var(--border);
  box-shadow: 0 0 5px var(--border);
  opacity: 0%;
  transform: translate(-50%, -100%);
}
.tooltip::before {
  position: absolute;
  top: 100%;
  left: 50%;
  width: 0;
  height: 0;
  margin-left: -15px;
  content: "";
  border: 15px solid transparent;
  border-top-color: var(--border);
}
.tooltip em {
  display: block;
  margin-top: 5px;
  font-family: var(--font-family);
  color: var(--text-color-lightest);
}

/* css/components.css */
details {
  display: block;
  min-width: 400px;
  margin-bottom: 0.5em;
  border: 1px solid var(--table-border);
}
details.inactive {
  opacity: 50%;
}
details summary {
  position: relative;
  display: flex;
  align-items: center;
  padding: 5px 10px 5px 30px;
  cursor: pointer;
  background-color: var(--summary-background);
}
details summary::before {
  position: absolute;
  top: 50%;
  left: 10px;
  margin-right: 0.5em;
  content: "";
  border-top: 9px solid var(--treetable-expander);
  border-right: 6px solid transparent;
  border-left: 6px solid transparent;
  transform: translateY(-50%) rotate(270deg);
}
details summary::-webkit-details-marker {
  display: none;
}
details.error summary {
  background-color: var(--error);
}
details[open] summary::before {
  transform: translateY(-50%) rotate(0deg);
}
details summary pre {
  display: inline-block;
  padding: 3px 6px;
  margin: 0;
}
details > div {
  padding: 0.5em;
}

/* css/editor.css */
.cm-editor .cm-gutters {
  background: var(--sidebar-background);
  border-right: 1px solid var(--sidebar-border);
}
.cm-editor .cm-scroller {
  font-family: var(--font-family-editor);
}
.cm-editor .cm-placeholder {
  color: var(--placeholder-color);
}

/* css/grid.css */
.flex-row {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0 -0.25rem;
}
.flex-row > * {
  margin: 0.25rem;
}
.flex-row > label {
  display: contents;
}
.flex-row > label > * {
  margin: 0.25rem;
}
.flex-row .grow {
  flex-grow: 1;
}
.remove-row {
  opacity: 0%;
}
.flex-row:hover .remove-row {
  opacity: 100%;
}

/* node_modules/@fontsource/source-code-pro/400.css */
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-cyrillic-ext-400-normal-QDGPIYEO.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-cyrillic-400-normal-IIEJCVU3.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-greek-ext-400-normal-A6DU5HOQ.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-greek-400-normal-NCNJIBNY.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-vietnamese-400-normal-BLRZ5TJF.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-latin-ext-400-normal-XSWLQ6SQ.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-code-pro-latin-400-normal-I2HRTHZF.woff2) format("woff2"), url(./source-code-pro-all-400-normal-SLFKMP73.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/source-code-pro/500.css */
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-cyrillic-ext-500-normal-4BGXZKAS.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-cyrillic-500-normal-KX3JF2GP.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-greek-ext-500-normal-EO522DTI.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-greek-500-normal-OHZBIGYY.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-vietnamese-500-normal-6BTVTHWI.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-latin-ext-500-normal-QPED2BZU.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Source Code Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./source-code-pro-latin-500-normal-TUB7MUQD.woff2) format("woff2"), url(./source-code-pro-all-500-normal-FDTRXIVW.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/fira-mono/400.css */
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-cyrillic-ext-400-normal-47U2AFQV.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-cyrillic-400-normal-DHYMC6AA.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-greek-ext-400-normal-5NS2LNAL.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-greek-400-normal-TG32BQXP.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-latin-ext-400-normal-3XROC5NW.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-mono-latin-400-normal-JUOXJG4X.woff2) format("woff2"), url(./fira-mono-all-400-normal-B3VA6PUD.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/fira-mono/500.css */
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-cyrillic-ext-500-normal-IYTP56HI.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-cyrillic-500-normal-GP3B6L2A.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-greek-ext-500-normal-WGULELC2.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-greek-500-normal-JKOMG4AV.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-latin-ext-500-normal-JGGLQGT6.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Fira Mono";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-mono-latin-500-normal-VF62XXV3.woff2) format("woff2"), url(./fira-mono-all-500-normal-6H5PJVHM.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/fira-sans/400.css */
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-cyrillic-ext-400-normal-WVOY7NRO.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-cyrillic-400-normal-UNEFG6UZ.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-greek-ext-400-normal-MKGGKMJ5.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-greek-400-normal-PY2QUVXT.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-vietnamese-400-normal-7XQHLZ3D.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-latin-ext-400-normal-3G4ONXQH.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./fira-sans-latin-400-normal-BVHR5GIK.woff2) format("woff2"), url(./fira-sans-all-400-normal-Z3W4I7VT.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/fira-sans/500.css */
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-cyrillic-ext-500-normal-4H6B4IVQ.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-cyrillic-500-normal-5KMEEDFS.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-greek-ext-500-normal-YYWKCZSG.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range: U+1F00-1FFF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-greek-500-normal-ILVSAQV7.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-vietnamese-500-normal-FZCQJ7ET.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-latin-ext-500-normal-B5ASZCAS.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Fira Sans";
  font-style: normal;
  font-display: swap;
  font-weight: 500;
  src: url(./fira-sans-latin-500-normal-PWOHURLK.woff2) format("woff2"), url(./fira-sans-all-500-normal-NEZJQQ2Y.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/source-serif-pro/400.css */
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-cyrillic-ext-400-normal-OAAPTI5B.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-cyrillic-400-normal-P4AFNN6B.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-greek-400-normal-ZINIJTMP.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-vietnamese-400-normal-Z64DEYYH.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-latin-ext-400-normal-PDZ36NCG.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url(./source-serif-pro-latin-400-normal-4HTQC2GR.woff2) format("woff2"), url(./source-serif-pro-all-400-normal-4BTH7DUE.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* node_modules/@fontsource/source-serif-pro/600.css */
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-cyrillic-ext-600-normal-65NAT276.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range:
    U+0460-052F,
    U+1C80-1C88,
    U+20B4,
    U+2DE0-2DFF,
    U+A640-A69F,
    U+FE2E-FE2F;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-cyrillic-600-normal-N5R474GN.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range:
    U+0301,
    U+0400-045F,
    U+0490-0491,
    U+04B0-04B1,
    U+2116;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-greek-600-normal-S5XOEGZV.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range: U+0370-03FF;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-vietnamese-600-normal-FIGKJBGN.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range:
    U+0102-0103,
    U+0110-0111,
    U+0128-0129,
    U+0168-0169,
    U+01A0-01A1,
    U+01AF-01B0,
    U+1EA0-1EF9,
    U+20AB;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-latin-ext-600-normal-2XXPH3GU.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range:
    U+0100-024F,
    U+0259,
    U+1E00-1EFF,
    U+2020,
    U+20A0-20AB,
    U+20AD-20CF,
    U+2113,
    U+2C60-2C7F,
    U+A720-A7FF;
}
@font-face {
  font-family: "Source Serif Pro";
  font-style: normal;
  font-display: swap;
  font-weight: 600;
  src: url(./source-serif-pro-latin-600-normal-SVAUZKQ3.woff2) format("woff2"), url(./source-serif-pro-all-600-normal-DPA6Z7HK.woff) format("woff");
  unicode-range:
    U+0000-00FF,
    U+0131,
    U+0152-0153,
    U+02BB-02BC,
    U+02C6,
    U+02DA,
    U+02DC,
    U+2000-206F,
    U+2074,
    U+20AC,
    U+2122,
    U+2191,
    U+2193,
    U+2212,
    U+2215,
    U+FEFF,
    U+FFFD;
}

/* css/fonts.css */

/* css/header.css */
@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}
.fava-icon.loading {
  padding: 0;
  border-top: 2px solid var(--header-color);
  border-radius: 50%;
  animation: spinner 1s linear infinite;
}
.fava-icon.loading path {
  opacity: 0%;
}
.beancount-files ul {
  max-height: 400px;
  margin-bottom: 0;
  overflow-y: auto;
}
.beancount-files a {
  display: block;
  padding: 8px 12px 8px 28px;
  cursor: pointer;
}
.beancount-files a.active,
.beancount-files a:hover {
  color: var(--background);
  background-color: var(--link-color);
}
.beancount-files a.active {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAANCAMAAABFNRROAAAAOVBMVEUAAAD///////////////////////////////////////////////////////////////////////8KOjVvAAAAEnRSTlMAAQMGHjE8P0Bfi6Omt9Hi7/XCzsNoAAAAO0lEQVQI143HSxZAMBAAwQ5CfEPf/7AWHmZH7Qr+aMcmZHONcQa6PV9ZEnBofsKg1jtQ9A2UGOinxKcT2psCetpsGdwAAAAASUVORK5CYII=);
  background-repeat: no-repeat;
  background-position: 9px center;
}
h1 {
  display: block;
  flex: 1;
  max-height: var(--header-height);
  padding: calc((var(--header-height) - 24px) / 2) 10px;
  margin: 0;
  overflow: hidden;
  font-size: 16px;
  font-weight: normal;
  color: var(--header-color);
}
h1 .droptarget {
  padding: 0.6em;
  margin-left: -0.6em;
}
h1 a:hover,
h1 a:link,
h1 a:visited {
  color: inherit;
}
h1 .last-activity {
  display: inline-block;
  margin-left: 10px;
  font-size: 12px;
  font-weight: normal;
  opacity: 80%;
}
h1 .status-indicator {
  width: 10px;
  height: 10px;
  margin: 0 0 0 10px;
  border-radius: 10px;
}
h1 .status-indicator.status-gray {
  margin-left: 0;
}
.page-title::before {
  margin: 0 10px;
  font-weight: normal;
  content: "\203a";
  opacity: 50%;
}
.reload-page {
  padding-right: 12px;
  padding-left: 12px;
  margin-top: -8px;
  margin-left: 20px;
  background-color: var(--warning);
}
.beancount-files {
  position: absolute;
  top: var(--header-height);
  left: 19px;
  display: none;
  width: 20em;
  color: var(--link-color);
  background-color: var(--background);
  border: 1px solid var(--border);
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  box-shadow: 0 3px 6px var(--transparent-black);
}
h1:hover .beancount-files {
  display: block;
}

/* css/help.css */
.help {
  --help-max-width: 600px;
  max-width: calc(var(--help-max-width) + 160px);
}
.help-text {
  max-width: var(--help-max-width);
  font: 16px var(--font-family-alternative);
}
.help-text h2,
.help-text h3,
.help-text h4,
.help-text h5 {
  font-family: var(--font-family);
}
.help-text > div {
  margin-bottom: 1em;
}
.help-text code {
  font-size: 0.9em;
}
.help-text ul {
  padding-left: 2em;
}
.help-text li {
  list-style-type: disc;
}
.help-sidebar {
  float: right;
  padding: 10px 10px 0;
  margin: 0 0 10px 10px;
  font-size: 1.1em;
  background-color: var(--help-sidebar-background);
  border: 1px solid var(--help-sidebar-border);
}
.help-sidebar a:hover,
.help-sidebar a.selected {
  font-weight: 500;
}

/* css/journal-table.css */
.journal {
  margin-top: 0.25rem;
}
.flex-table p,
.flex-table li,
.flex-table ul,
.flex-table ol {
  padding: 0;
  margin: 0;
}
.flex-table p {
  display: flex;
}
.flex-table p > span {
  flex-shrink: 0;
  padding: 2px 4px;
  margin: 0;
}
.flex-table .num {
  font-family: var(--font-family-monospaced);
  color: var(--text-color);
  text-align: right;
}
.flex-table .number {
  white-space: nowrap;
}
.flex-table .head p > span {
  padding: 3px 4px;
  color: var(--table-header-text);
  background-color: var(--table-header-background);
}
.flex-table .head .num {
  font-family: var(--font-family);
  color: var(--table-header-text);
  background-color: var(--table-header-background);
}
.journal p,
.journal dl {
  border-bottom: thin solid var(--table-border);
}
.journal .payee {
  cursor: pointer;
}
.journal .postings {
  font-size: 0.9em;
  background-color: var(--journal-postings);
  opacity: 80%;
}
.journal .postings .num {
  overflow: hidden;
  line-height: 16px;
}
.journal > li,
.journal.show-custom .custom.budget,
.journal.show-document .document.discovered,
.journal.show-document .document.linked,
.journal .metadata,
.journal .postings {
  display: none;
}
.journal .head,
.journal.show-balance .balance,
.journal.show-close .close,
.journal.show-custom .custom,
.journal.show-document .document,
.journal.show-note .note,
.journal.show-open .open,
.journal.show-pad .pad,
.journal.show-query .query,
.journal.show-metadata .metadata,
.journal.show-postings .postings,
.transaction.show-postings .postings,
.transaction.show-postings .metadata {
  display: block;
}
.journal.show-transaction.show-cleared .transaction.cleared,
.journal.show-transaction.show-pending .transaction.pending,
.journal.show-transaction.show-other .transaction.other,
.journal.show-document.show-discovered .document.discovered,
.journal.show-document.show-linked .document.linked,
.journal.show-custom.show-budget .custom.budget {
  display: block;
}
.journal .transaction:hover {
  background: var(--journal-hover-highlight);
}
.journal .metadata {
  padding: 2px 0;
  margin: 0;
  font-size: 0.9em;
}
.journal .metadata dt {
  float: left;
  width: auto;
  min-width: 4rem;
  margin-right: 6px;
  margin-left: 9rem;
  color: var(--journal-metadata);
  cursor: pointer;
}
.journal .metadata dd {
  margin-left: 15rem;
  cursor: pointer;
}
.journal p > .num {
  width: 9rem;
  white-space: pre;
  border-left: 1px solid var(--table-border);
}
.journal .datecell,
.journal .flag {
  text-align: center;
  background-color: var(--entry-background);
}
.journal .datecell {
  width: 5.5rem;
  white-space: nowrap;
}
.journal .flag {
  width: 3rem;
}
.journal .change {
  font-weight: 500;
}
.journal .description {
  flex: 1;
  padding-left: 8px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.journal .show-postings .description {
  white-space: normal;
}
.journal .description .separator::before {
  padding: 2px;
  margin: 0 6px;
  font-weight: bold;
  color: var(--text-color-lighter);
  content: "\2022";
}
.journal .description .num {
  margin: 0 5px;
}
.journal .tag,
.journal .link {
  margin-left: 8px;
  font-size: 0.9em;
  cursor: pointer;
}
.journal .tag {
  color: var(--journal-tag);
}
.journal .link {
  color: var(--journal-link);
}
.journal .bal {
  background-color: var(--entry-background);
}
.journal a:hover {
  filter: brightness(80%);
}
.journal .filename,
.journal .url {
  font-family: var(--font-family-monospaced);
  font-size: 0.9em;
}
.journal .document .filename {
  margin-left: 1em;
}
.journal .indicators {
  display: flex;
  flex-shrink: 3;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-end;
  cursor: pointer;
}
.journal .indicators span {
  min-width: 6px;
  height: 6px;
  padding: 0;
  margin-right: 4px;
  background-color: var(--journal-posting-indicator);
  border-radius: 3px;
}
.journal .indicators .pending,
.journal .indicators .other {
  background-color: var(--entry-background);
}
.journal .indicators .metadata-indicator {
  height: 16px;
  padding: 0 6px;
  font-size: 10px;
  line-height: 16px;
  color: var(--journal-metadata-indicator);
  text-transform: lowercase;
  border-radius: 20px;
}

/* css/media-mobile.css */
@media (max-width: 767px) {
  body {
    padding: 0;
    transition: var(--transitions);
  }
  header {
    position: inherit;
    flex-wrap: wrap;
    height: auto;
    padding-left: 46px;
  }
  h1 {
    padding: 8px;
  }
  aside {
    top: 0;
    margin-left: calc(-1 * var(--aside-width));
    transition: var(--transitions);
  }
  aside.active {
    margin-left: 0;
  }
  .aside-button.aside-button {
    transition: var(--transitions);
  }
  .navigation .secondary {
    transition: var(--transitions);
  }
  .aside-button,
  .navigation .add-transaction-button {
    position: fixed;
    left: 0;
    width: 42px;
    height: 42px;
    padding: 6px 4px;
    text-align: center;
    border-color: var(--sidebar-border);
    border-style: solid;
    border-width: 0 1px 1px 0;
  }
  .navigation .add-transaction-button {
    top: 42px;
    font-size: 30px;
    color: var(--mobile-button-text);
  }
  aside.active .add-transaction-button {
    left: var(--aside-width);
  }
  .aside-button {
    top: 0;
    display: block;
    margin-left: 0;
  }
  .aside-button.active {
    left: var(--aside-width);
    background-color: var(--sidebar-background);
    box-shadow: none;
  }
}

/* css/media-print.css */
@media print {
  body {
    padding: 0;
  }
  header {
    position: relative;
  }
  header > * {
    display: none;
  }
  header h1 {
    display: block;
  }
  aside,
  .aside-button {
    display: none;
  }
}

/* css/notifications.css */
.notifications {
  position: fixed;
  top: calc(var(--header-height) + 10px);
  right: 10px;
  width: 400px;
}
.notifications li {
  display: block;
  width: 100%;
  padding: 5px 10px;
  margin-bottom: 0.5em;
  color: var(--notification-color);
  cursor: pointer;
  background-color: var(--green);
}
.notifications .error {
  background-color: var(--error);
}
.notifications .warning {
  color: var(--text-color);
  background-color: var(--yellow);
}

/* css/tree-table.css */
.tree-table.fullwidth {
  display: block;
  max-width: 100%;
  overflow-x: auto;
}
.tree-table p {
  margin-top: -1px;
}
.tree-table p > span {
  margin-right: -1px;
  border: 1px solid var(--table-border);
}
.tree-table .account-cell {
  display: flex;
  flex: 1;
  align-items: center;
  min-width: 14em;
  max-width: 30em;
}
.tree-table .account-cell.depth-1 {
  min-width: 13em;
  max-width: 29em;
  margin-left: 1em;
}
.tree-table .account-cell.depth-2 {
  min-width: 12em;
  max-width: 28em;
  margin-left: 2em;
}
.tree-table .account-cell.depth-3 {
  min-width: 11em;
  max-width: 27em;
  margin-left: 3em;
}
.tree-table .account-cell.depth-4 {
  min-width: 10em;
  max-width: 26em;
  margin-left: 4em;
}
.tree-table .account-cell.depth-5 {
  min-width: 9em;
  max-width: 25em;
  margin-left: 5em;
}
.tree-table .account-cell.depth-6 {
  min-width: 8em;
  max-width: 24em;
  margin-left: 6em;
}
.tree-table .account-cell.depth-7 {
  min-width: 7em;
  max-width: 23em;
  margin-left: 7em;
}
.tree-table .account-cell.depth-8 {
  min-width: 6em;
  max-width: 22em;
  margin-left: 8em;
}
.tree-table .account-cell.depth-9 {
  min-width: 5em;
  max-width: 21em;
  margin-left: 9em;
}
.tree-table .account-cell a {
  margin-left: 1em;
}
.tree-table .has-children {
  cursor: pointer;
}
.tree-table .has-children::before {
  margin: 0 -10px 0 0;
  content: "";
  border-top: 5px solid var(--treetable-expander);
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
}
.tree-table .num {
  width: 10em;
}
.tree-table .num a {
  display: block;
  color: inherit;
}
.tree-table .other {
  width: 13em;
}
.tree-table .other a {
  display: block;
  color: inherit;
}
.tree-table .balance-children {
  display: block;
  opacity: 70%;
}
.tree-table .has-balance .balance {
  display: block;
}
.tree-table .has-balance .balance-children {
  display: none;
}
.tree-table .toggled ol {
  display: none;
}
.tree-table .toggled .balance {
  display: none;
}
.tree-table .toggled .balance-children {
  display: block;
  color: var(--text-color);
}
.tree-table .toggled .has-children::before {
  transform: rotate(270deg);
}
.tree-table .expand-all {
  margin-left: 15px;
  font-weight: normal;
  color: inherit;
  opacity: 50%;
}
.tree-table .diff {
  margin-right: 3px;
  font-size: 0.9em;
  color: var(--budget-zero);
  white-space: nowrap;
}
.tree-table .diff.negative {
  color: var(--budget-negative);
}
.tree-table .diff.positive {
  color: var(--budget-positive);
}
.two-currencies {
  font-size: 0.9em;
}
.two-currencies .num {
  width: 8em;
}
.two-currencies .other {
  width: 11em;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/journal/JournalFilters.esbuild-svelte-fake-css */
form.svelte-h52b2r {
  justify-content: flex-end;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/Axis.esbuild-svelte-fake-css */
g.svelte-w3gjk0 path,
g.svelte-w3gjk0 line {
  fill: none;
  stroke: var(--chart-axis);
  shape-rendering: crispedges;
}
g.y.svelte-w3gjk0 line,
g.y.svelte-w3gjk0 path.domain {
  opacity: 0.2;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/BarChart.esbuild-svelte-fake-css */
.category.faded.svelte-1azm6ea.svelte-1azm6ea {
  opacity: 0.5;
}
.axis-group-box.svelte-1azm6ea.svelte-1azm6ea {
  cursor: pointer;
  opacity: 0;
}
.group-box.svelte-1azm6ea.svelte-1azm6ea {
  opacity: 0;
}
.group.svelte-1azm6ea:hover .group-box.svelte-1azm6ea {
  opacity: 0.1;
}
.budget.svelte-1azm6ea.svelte-1azm6ea {
  opacity: 0.3;
}
.desaturate.svelte-1azm6ea.svelte-1azm6ea {
  filter: saturate(50%);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/ChartLegend.esbuild-svelte-fake-css */
span.svelte-1unp29f,
i.svelte-1unp29f {
  display: inline-block;
}
i.svelte-1unp29f {
  width: 10px;
  height: 10px;
  margin-left: 5px;
  border-radius: 10px;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/Sunburst.esbuild-svelte-fake-css */
.half.svelte-1j2l4ij {
  opacity: 0.5;
}
.account.svelte-1j2l4ij {
  fill: var(--text-color);
}
.balance.svelte-1j2l4ij {
  font-family: var(--font-family-monospaced);
}
path.svelte-1j2l4ij {
  cursor: pointer;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/Treemap.esbuild-svelte-fake-css */
svg.svelte-1n6q2h8 {
  shape-rendering: crispedges;
}
text.svelte-1n6q2h8 {
  cursor: pointer;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/LineChart.esbuild-svelte-fake-css */
svg.svelte-1gzc8m3 > g.svelte-1gzc8m3 {
  pointer-events: all;
}
.lines.svelte-1gzc8m3 path.svelte-1gzc8m3 {
  fill: none;
  stroke-width: 2px;
}
.area.svelte-1gzc8m3 path.svelte-1gzc8m3 {
  opacity: 0.3;
}
.desaturate.svelte-1gzc8m3.svelte-1gzc8m3 {
  filter: saturate(50%);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/ModeSwitch.esbuild-svelte-fake-css */
input.svelte-1g16jx5.svelte-1g16jx5 {
  display: none;
}
label.svelte-1g16jx5 + label.svelte-1g16jx5 {
  margin-left: 0.25rem;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/ScatterPlot.esbuild-svelte-fake-css */
svg.svelte-jl8ee > g.svelte-jl8ee {
  pointer-events: all;
}
.desaturate.svelte-jl8ee.svelte-jl8ee {
  filter: saturate(50%);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/Chart.esbuild-svelte-fake-css */
.toggle-chart.svelte-gzgoh1 {
  height: 22px;
  padding: 2px 6px;
  margin: 0;
}
.toggle-chart.svelte-gzgoh1::before {
  display: block;
  content: "";
  border: 0;
  border-top: 13px solid var(--background);
  border-right: 9px solid transparent;
  border-left: 9px solid transparent;
}
.toggle-chart.closed.svelte-gzgoh1::before {
  border: 0;
  border-right: 9px solid transparent;
  border-bottom: 13px solid var(--background);
  border-left: 9px solid transparent;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/charts/ChartSwitcher.esbuild-svelte-fake-css */
div.svelte-nc8apk.svelte-nc8apk {
  margin-bottom: 1.5em;
  font-size: 1em;
  color: var(--text-color-lightest);
  text-align: center;
}
button.svelte-nc8apk.svelte-nc8apk {
  all: unset;
  padding: 0 0.5em;
  cursor: pointer;
}
button.svelte-nc8apk + button.svelte-nc8apk {
  border-left: 1px solid var(--text-color-lighter);
}
button.selected.svelte-nc8apk.svelte-nc8apk,
button.svelte-nc8apk.svelte-nc8apk:hover {
  color: var(--text-color-lighter);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/AutocompleteInput.esbuild-svelte-fake-css */
span.svelte-420ct3 {
  position: relative;
  display: inline-block;
}
input.svelte-420ct3 {
  width: 100%;
}
ul.svelte-420ct3 {
  position: absolute;
  z-index: var(--z-index-autocomplete);
  overflow-x: hidden;
  overflow-y: auto;
  background-color: var(--background);
  border: 1px solid var(--border-darker);
  box-shadow: 0 3px 3px var(--border);
}
aside ul.svelte-420ct3 {
  position: fixed;
}
li.svelte-420ct3 {
  min-width: 8rem;
  padding: 0 0.5em;
  white-space: nowrap;
  cursor: pointer;
}
li.selected.svelte-420ct3,
li.svelte-420ct3:hover {
  color: var(--background);
  background-color: var(--link-color);
}
button.svelte-420ct3 {
  position: absolute;
  top: 8px;
  right: 4px;
  background: transparent;
}
li.svelte-420ct3 span {
  height: 1.2em;
  padding: 0 0.05em;
  margin: 0 -0.05em;
  background-color: var(--autocomplete-match);
  border-radius: 2px;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/modals/ModalBase.esbuild-svelte-fake-css */
.background.svelte-1bh5xrq {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  background: var(--overlay-wrapper-background);
}
.overlay.svelte-1bh5xrq {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-overlay);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: 100vh;
}
.content.svelte-1bh5xrq {
  position: relative;
  display: flex;
  width: 100%;
  max-width: 767px;
  max-height: 100%;
  padding: 1em;
  margin: 0.5em;
  background: var(--background);
  box-shadow: 0 0 20px var(--overlay-wrapper-background);
}
.close.svelte-1bh5xrq {
  position: absolute;
  top: 1em;
  right: 1em;
  width: 2em;
  height: 2em;
  margin: 0;
  line-height: 1em;
  color: var(--text-color-lighter);
}
.content.svelte-1bh5xrq form,
.content.svelte-1bh5xrq > div {
  width: 100%;
}
.content.svelte-1bh5xrq .fieldset {
  margin-bottom: 6px;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/documents/Accounts.esbuild-svelte-fake-css */
ul.svelte-1dmmlqh.svelte-1dmmlqh {
  padding: 0 0 0 0.5em;
}
p.svelte-1dmmlqh.svelte-1dmmlqh {
  margin-bottom: -1px;
  overflow: hidden;
  border: 1px solid var(--table-border);
}
.count.svelte-1dmmlqh.svelte-1dmmlqh {
  opacity: 0.6;
}
.selected.svelte-1dmmlqh.svelte-1dmmlqh,
.drag.svelte-1dmmlqh.svelte-1dmmlqh {
  background-color: var(--table-header-background);
}
button.svelte-1dmmlqh.svelte-1dmmlqh {
  all: unset;
  cursor: pointer;
}
.leaf.svelte-1dmmlqh.svelte-1dmmlqh {
  flex-grow: 1;
}
.toggle.svelte-1dmmlqh.svelte-1dmmlqh {
  margin: 0 0.25rem;
  color: var(--treetable-expander);
  visibility: hidden;
}
.has-children.svelte-1dmmlqh > .toggle.svelte-1dmmlqh {
  visibility: visible;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/DocumentPreviewEditor.esbuild-svelte-fake-css */
div.svelte-96o3lr {
  width: 100%;
  height: 100%;
}
div.svelte-96o3lr .cm-editor {
  width: 100%;
  height: 100%;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/documents/DocumentPreview.esbuild-svelte-fake-css */
object.svelte-586ug7,
img.svelte-586ug7,
iframe.svelte-586ug7 {
  width: 100%;
  height: 100%;
}
img.svelte-586ug7 {
  object-fit: contain;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/documents/Table.esbuild-svelte-fake-css */
table.svelte-1511gpj {
  width: 100%;
}
tr.svelte-1511gpj {
  cursor: pointer;
}
.selected.svelte-1511gpj,
tr.svelte-1511gpj:hover {
  background-color: var(--table-header-background);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/documents/Documents.esbuild-svelte-fake-css */
.fixed-fullsize-container.svelte-11fib5h {
  display: grid;
  grid-template-columns: 1fr 2fr 3fr;
}
.fixed-fullsize-container.svelte-11fib5h > * {
  height: 100%;
  overflow: auto;
  resize: horizontal;
}
.fixed-fullsize-container.svelte-11fib5h > * + * {
  border-left: thin solid var(--sidebar-border);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/AppMenu.esbuild-svelte-fake-css */
div.svelte-soh75 {
  display: flex;
  gap: 0.5rem;
  align-items: stretch;
  height: 100%;
  margin-right: 0.5rem;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/AppMenuItem.esbuild-svelte-fake-css */
span.svelte-1j138l1.svelte-1j138l1 {
  padding: 0.7rem 0.5rem;
  cursor: pointer;
}
span.open.svelte-1j138l1.svelte-1j138l1,
span.svelte-1j138l1.svelte-1j138l1:hover {
  background-color: var(--background-darker);
}
span.svelte-1j138l1.svelte-1j138l1::after {
  content: "\25be";
}
ul.svelte-1j138l1.svelte-1j138l1 {
  position: absolute;
  z-index: var(--z-index-floating-ui);
  display: none;
  width: 500px;
  max-height: 400px;
  margin: 0.75rem 0 0 -0.5rem;
  overflow-y: auto;
  background-color: var(--background);
  border: 1px solid var(--border);
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  box-shadow: 0 3px 6px var(--transparent-black);
}
span.open.svelte-1j138l1 > ul.svelte-1j138l1,
span.svelte-1j138l1:hover > ul.svelte-1j138l1 {
  display: block;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/AppMenuSubItem.esbuild-svelte-fake-css */
.selected.svelte-485lcm::before {
  content: "\203a";
}
li.svelte-485lcm {
  padding: 2px 10px;
  cursor: pointer;
}
span.svelte-485lcm {
  float: right;
}
button.svelte-485lcm {
  display: contents;
  color: inherit;
}
li.svelte-485lcm:hover,
li.svelte-485lcm:focus-visible {
  background-color: var(--background-darker);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/EditorMenu.esbuild-svelte-fake-css */
.fieldset.svelte-1dybjb4 {
  height: 3rem;
  background: var(--sidebar-background);
  border-bottom: 1px solid var(--sidebar-border);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/SourceEditor.esbuild-svelte-fake-css */
form.svelte-zn7rvj.svelte-zn7rvj {
  display: flex;
  flex-direction: column;
}
form.svelte-zn7rvj div.svelte-zn7rvj {
  flex: 1;
  width: 100%;
  height: calc(100% - 3rem);
}
form.svelte-zn7rvj .cm-editor {
  width: 100%;
  height: 100%;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/header/FilterForm.esbuild-svelte-fake-css */
form.svelte-1k9a59j {
  display: flex;
  flex-wrap: wrap;
  padding-top: 7px;
  margin: 0;
  color: var(--text-color);
  --placeholder-color:var(--header-placeholder-color);
  --placeholder-background:var(--header-placeholder-background);
}
form.svelte-1k9a59j > span {
  max-width: 18rem;
  margin: 0 4px 6px 0;
}
form.svelte-1k9a59j input {
  padding: 8px 25px 8px 10px;
  background-color: var(--background);
  border: 0;
  outline: none;
}
form.svelte-1k9a59j [type=text]:focus {
  background-color: var(--background);
}
[type=submit].svelte-1k9a59j {
  display: none;
}
@media print {
  form.svelte-1k9a59j {
    display: none;
  }
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/entry-forms/EntryMetadata.esbuild-svelte-fake-css */
div.svelte-1v6bu4l {
  padding-left: 56px;
  font-size: 0.8em;
}
input.key.svelte-1v6bu4l {
  width: 10em;
}
input.value.svelte-1v6bu4l {
  flex-grow: 1;
  max-width: 15em;
}
@media (max-width: 767px) {
  div.svelte-1v6bu4l {
    padding-left: 0;
  }
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/entry-forms/Balance.esbuild-svelte-fake-css */
div.svelte-unorr4 .currency {
  width: 6em;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/entry-forms/Note.esbuild-svelte-fake-css */
textarea.svelte-s9o1z4 {
  flex-grow: 1;
  width: 100%;
  padding: 8px;
  font: inherit;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/entry-forms/Posting.esbuild-svelte-fake-css */
.drag.svelte-1yh40ui.svelte-1yh40ui {
  box-shadow: 0 0 5px var(--text-color);
}
div.svelte-1yh40ui.svelte-1yh40ui {
  padding-left: 50px;
  cursor: grab;
}
div.svelte-1yh40ui > .svelte-1yh40ui {
  cursor: initial;
}
div.svelte-1yh40ui .add-row.svelte-1yh40ui {
  display: none;
}
div.svelte-1yh40ui:last-child .add-row.svelte-1yh40ui {
  display: initial;
}
div.svelte-1yh40ui .amount {
  width: 220px;
}
div.svelte-1yh40ui:last-child .amount {
  width: 192px;
}
@media (max-width: 767px) {
  div.svelte-1yh40ui.svelte-1yh40ui {
    padding-left: 0;
  }
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/entry-forms/Transaction.esbuild-svelte-fake-css */
input[name=flag].svelte-12mv83z.svelte-12mv83z {
  width: 1.5em;
  padding-right: 2px;
  padding-left: 2px;
  text-align: center;
}
div.svelte-12mv83z .payee {
  flex-basis: 100px;
  flex-grow: 1;
}
input[name=narration].svelte-12mv83z.svelte-12mv83z {
  flex-basis: 200px;
  flex-grow: 1;
}
label.svelte-12mv83z > span.svelte-12mv83z:first-child,
.label.svelte-12mv83z > span.svelte-12mv83z:first-child {
  display: none;
}
@media (max-width: 767px) {
  label.svelte-12mv83z > span.svelte-12mv83z:first-child,
  .label.svelte-12mv83z > span.svelte-12mv83z:first-child {
    display: initial;
    width: 100%;
  }
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/import/Extract.esbuild-svelte-fake-css */
pre.svelte-kordbm {
  font-size: 0.9em;
  white-space: pre-wrap;
}
.duplicate.svelte-kordbm {
  opacity: 0.5;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/import/FileList.esbuild-svelte-fake-css */
.header.svelte-4bh69f.svelte-4bh69f {
  padding: 0.5rem;
  margin: 0.5rem 0;
  background-color: var(--summary-background);
}
.header.svelte-4bh69f button.svelte-4bh69f:first-child {
  all: unset;
  width: 90%;
  cursor: pointer;
}
.header.svelte-4bh69f button.svelte-4bh69f:nth-child(2) {
  float: right;
}
.header.selected.svelte-4bh69f.svelte-4bh69f {
  background-color: var(--summary-background-darker);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/import/Import.esbuild-svelte-fake-css */
.fixed-fullsize-container.svelte-9ktust.svelte-9ktust {
  display: flex;
  align-items: stretch;
}
.fixed-fullsize-container.svelte-9ktust > .svelte-9ktust {
  flex: 1 1 40%;
  overflow: auto;
}
.filelist.svelte-9ktust.svelte-9ktust {
  padding: 1rem;
}
hr.svelte-9ktust.svelte-9ktust {
  margin: 1rem 0;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/editor/SliceEditor.esbuild-svelte-fake-css */
div.svelte-1t1lmj4 {
  margin-bottom: 0.5rem;
  border: 1px solid var(--sidebar-border);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/modals/DocumentUpload.esbuild-svelte-fake-css */
input.file.svelte-18pvuji {
  width: 100%;
}
.fieldset.svelte-18pvuji {
  display: block;
}
.fieldset.svelte-18pvuji span:first-child {
  margin-right: 8px;
}
.fieldset.account.svelte-18pvuji span:last-child {
  min-width: 25rem;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/query/QueryEditor.esbuild-svelte-fake-css */
form.svelte-1wk8z7p {
  display: flex;
  align-items: center;
  padding-bottom: 1em;
}
button.svelte-1wk8z7p {
  margin: 0;
}
div.svelte-1wk8z7p {
  flex-grow: 1;
  width: 100%;
  height: auto;
  margin-right: 0.5em;
  font-size: 16px;
  border: 1px solid var(--border);
}
form.svelte-1wk8z7p .cm-editor {
  width: 100%;
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/query/QueryLinks.esbuild-svelte-fake-css */
span.svelte-bt1doq {
  color: var(--text-color-lighter);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/query/Query.esbuild-svelte-fake-css */
details.svelte-1kdrm0n > div.svelte-1kdrm0n {
  max-height: 80vh;
  overflow: auto;
}
div.svelte-1kdrm0n .query-error {
  font-family: var(--font-family-monospaced);
  color: var(--background);
  background: var(--error);
}

/* fakecss:/home/runner/work/fava/fava/frontend/src/sidebar/AccountSelector.esbuild-svelte-fake-css */
.account-selector input {
  padding: 0.25em 0.5em 0.25em 1em;
  border: none;
}
